{% if posts.pagination.pages is not empty %}
    <nav class="pagination-block">
        <ul class="pagination">

            {# First #}
            {% if posts.pagination.pages|first and posts.pagination.pages|first.current != true %}
                <li class="first btn">
                    <a href="{{ posts.pagination.pages|first.link }}">{{ __( 'First', theme_textdomain ) }}</a>
                </li>
            {% else %}
                <li class="first btn disabled">
                    <button disabled>{{ __( 'First', theme_textdomain ) }}</button>
                </li>
            {% endif %}

            {# Previous #}
            {% if posts.pagination.prev %}
                <li class="prev btn">
                    <a href="{{ posts.pagination.prev.link }}">{{ __( 'Previous', theme_textdomain ) }}</a>
                </li>
            {% else %}
                <li class="prev btn disabled">
                    <button disabled>{{ __( 'Previous', theme_textdomain ) }}</button>
                </li>
            {% endif %}

            {# Pages #}
            {% for page in posts.pagination.pages %}
                {% if page.link %}
                    <li>
                        <a href="{{ page.link }}" class="{{ page.class }}">{{ page.title }}</a>
                    </li>
                {% else %}
                    <li class="current">
                        <span class="{{ page.class }}">{{ page.title }}</span>
                    </li>
                {% endif %}
            {% endfor %}

            {# Next #}
            {% if posts.pagination.next %}
                <li class="next btn">
                    <a href="{{ posts.pagination.next.link }}">{{ __( 'Next', theme_textdomain ) }}</a>
                </li>
            {% else %}
                <li class="next btn disabled">
                    <button disabled>{{ __( 'Next', theme_textdomain ) }}</button>
                </li>
            {% endif %}

            {# Last #}
            {% if posts.pagination.pages|last and posts.pagination.pages|last.current != true %}
                <li class="last btn">
                    <a href="{{ posts.pagination.pages|last.link }}">{{ __( 'Last', theme_textdomain ) }}</a>
                </li>
            {% else %}
                <li class="last btn disabled">
                    <button disabled>{{ __( 'Last', theme_textdomain ) }}</button>
                </li>
            {% endif %}

        </ul>
    </nav>
{% endif %}
